package cn.com.taiji.beidou.ship.warning.record.domain;

import cn.com.taiji.beidou.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/22 18:34
 */
@Data
public class WarningRecordExcel {

    @ApiModelProperty("设备编号")
    @Excel(name = "设备编号")
    private String devideNo;
    @ApiModelProperty("船舶名称")
    @Excel(name = "船舶名称")
    private String shipId;
    @ApiModelProperty("船主")
    @Excel(name = "船主姓名")
    private String ownerName;
    @ApiModelProperty("船主电话")
    @Excel(name = "船主电话")
    private String ownerTelNo;
    @ApiModelProperty("预警时间")
    @Excel(name = "预警时间")
    private String warningTime;
    @ApiModelProperty("经度")
    @Excel(name = "经度")
    private String longitude;
    @ApiModelProperty("纬度")
    @Excel(name = "纬度")
    private String latitude;
    @ApiModelProperty("预警详情，暂时没数据")
    @Excel(name = "预警详情")
    private String warningDetail;

    @Excel(name = "所属派出所")
    private String deptName;
}
