package cn.com.taiji.track.entity;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author wudskq
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("ax_beidou_ship_location")
public class BeidouLocationEntity {

    @TableId
    private String deviceId;
    private String locationTime;
    private String location;
    private String shipType;
    private String workType;
    private String workWay;
    private String sendTime;
    private String online;
    private String shipLength;
    private String shipWidth;
    private String texture;
    private String longitude;
    private String latitude;
    private String direction;
    private String speed;
    private String kwh;
    private String shipName;
}
