package cn.com.taiji.track.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author CHEN
 * @Date 2022/11/9 9:21
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("ax_beidou_ship_archives")
public class BeidouShipArchives {
    /**
     * 船舶id 如：儋0602365
     */
    @TableId
    private String shipId;
    /**
     * 北斗设备号
     */
    private String devideNo;
    /**
     * 船舶类型
     */
    private String shipType;
    /**
     * 作业类型
     */
    private String jobType;
    /**
     * 作业方式
     */
    private String jobWay;
    /**
     * 船主
     */
    private String ownerName;
    /**
     * 船主电话
     */
    private String ownerTelNo;
    /**
     * 船长
     */
    private double shipLength;
    /**
     * 船宽
     */
    private double shipWidth;
    /**
     * 船舶材质
     */
    private String shipMaterial;
    /**
     * 所属管理单位
     */
    private String policeStationId;
    /**
     * 船主单位
     */
    private String ownerCpmpany;
    /**
     * 创建时间
     */
    private long createTime;
    /**
     * 修改时间
     */
    private long modifyTime;
    /**
     * 船主类型
     */
    private String ownerType;

    /**
     * 最后状态
     */
    private Integer lastStatus;
}
