package cn.com.taiji.beidou.ship.track.mapper;

import cn.com.taiji.beidou.ship.track.domain.ShipContainsReq;
import cn.com.taiji.beidou.ship.track.domain.ShipContainsResult;
import cn.com.taiji.beidou.ship.track.domain.ShipTrackReq;
import cn.com.taiji.beidou.ship.track.domain.ShipTrackResult;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2023/1/12 17:51
 */
@Mapper
public interface ShipTrackMapper {

    /**
     * 查询轨迹详情
     * @param shipTrackReq
     * @return
     */
    List<ShipTrackResult> selectShipTrackDetail(ShipTrackReq shipTrackReq);
    /**
     * 海域圈选查询
     * @param shipTrackReq
     * @return
     */
    List<ShipContainsResult> selectShipContainsResults(ShipContainsReq shipTrackReq);
}
