package cn.com.taiji.beidou.ship.warning.model.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/20 11:16
 */
@Data
public class WarningRuleReq {
    @ApiModelProperty("预警规则ID 修改时使用")
    private String ruleId;
    @ApiModelProperty("预警规则名称")
    private String name;
    @ApiModelProperty("启用 停用")
    private Boolean enabled;
    @ApiModelProperty("开始时间")
    private String startTime;
    @ApiModelProperty("结束时间")
    private String endTime;
    @ApiModelProperty("模型ID")
    private String modelId;
    private List<Param> paramList;
    @ApiModelProperty("区域ID，多个用逗号隔开")
    private String areaList;
    @ApiModelProperty("部门ID")
    private String deptId;

    @Data
    public static class Param{
        @ApiModelProperty("模型参数ID")
        private String paramId;
        @ApiModelProperty("模型参数值")
        private String paramValue;
    }


}
