package cn.com.taiji.beidou.ship.warning.record.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/24 14:35
 */
@Data
public class SimpleWarningRecordResult {

    private String id;
    @JsonFormat(shape =JsonFormat.Shape.STRING,pattern ="yyyy-MM-dd HH:mm:ss",timezone ="GMT+8")
    private String warningTime;

    @ApiModelProperty("处置ID 有值是已读，null是未读")
    private String disposeId;
}
