package cn.com.taiji.track.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author wudskq
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("ax_beidou_track")
public class BeidouTrackEntity {

    private Long trackId;
    private String deviceId;
    private String shipType;
    private String workType;
    private String workWay;
    private String sendTime;
    private String locationTime;
    private String online;
    private String shipLength;
    private String shipWidth;
    private String texture;
    private String longitude;
    private String latitude;
    private String direction;
    private String speed;
    private String kwh;
    private String shipName;
}
